Skip to main content
POST
/
agent
/
version
/
list
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4"
}

response = client.agents.list_versions(**payload)
print(response)
[
  {
    "version_id": "69c228845c764b0c5ef71944",
    "agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
    "version": "1.0.0",
    "assistant_config": "{...}",
    "knowledge_base": {},
    "tools": [],
    "call_forwarding": null,
    "created_at": "2026-03-24 06:00:36",
    "deployed": false
  },
  {
    "version_id": "69c228b11e62cb42009fe445",
    "agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
    "version": "1.0.1",
    "assistant_config": "{...}",
    "knowledge_base": {},
    "tools": [],
    "call_forwarding": null,
    "created_at": "2026-03-24 06:01:21",
    "deployed": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for List agent versions.

Agent Version List Request schema.

agent_id
string
required

Agent ID

Example:

"04cf74f7-019b-4c3d-883c-610a42b32bc4"

Response

Version list

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.